# ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
# ====> 'LevelTrend' Logging <====
# ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
log_appendix(::LevelTrend)= "_DES";
log_appendix(::LinearTrend)= "_LinearTrend";




function logging(lt::LevelTrend,
                 logger = TBLogger(default_log_location, tb_overwrite),
                 group = "", appendix = "")
    logging(lt.level, logger, "$group/level", appendix);
    logging(lt.trend, logger, "$group/trend", appendix);
end



function logging(lt::LinearTrend,
                 logger = TBLogger(default_log_location, tb_overwrite),
                 group = "", appendix = "")
    _log_value(logger, "Intercept$appendix", lt.intercept[1], group = group);
    _log_value(logger, "Slope$appendix", lt.slope[1], group = group);
end